CREATE TABLE signup_hints (
  id VARCHAR(64) PRIMARY KEY DEFAULT uuid_generate_v4(),
  anonymous_user_id VARCHAR(64) UNIQUE,
  redirect_location VARCHAR,
  want_jamblaster BOOLEAN NOT NULL DEFAULT FALSE,
  user_id VARCHAR(64) REFERENCES users(id) ON DELETE CASCADE,
  expires_at TIMESTAMP,
  created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
);

ALTER TABLE users ADD COLUMN want_jamblaster BOOLEAN NOT NULL DEFAULT FALSE;